Bug 108689 - [patch] irc/bitlbee: bitlbee on 6.2-RELEASE with NO_INET6
Summary: [patch] irc/bitlbee: bitlbee on 6.2-RELEASE with NO_INET6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-02 14:40 UTC by Bernard Spil
Modified: 2007-02-16 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.12 KB, patch)
2007-02-02 14:40 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2007-02-02 14:40:22 UTC
After upgrading to 6.2, the bitlbee port didn't want to connect to MSN at all, and only after 150secs to googletalk.
Finally the problem seemed to be solved by adding --ipv6 to configure
Since the port was lacking DEBUG and OPENSSL knobs as well, I added these to the Makefile

Fix: add --ipv6=0 to CONFIGURE_OPTS

Patch attached with submission follows:
How-To-Repeat: Compile kernel and base-sytem without IPv6
Comment 1 Remko Lodder freebsd_committer 2007-02-02 14:41:48 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Reassign to the ports team
Comment 2 Alejandro Pulver freebsd_committer 2007-02-05 17:07:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 3 Alejandro Pulver freebsd_committer 2007-02-07 04:17:06 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello.

A patch has been submitted for the port you maintain irc/bitlbee.

It is here:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/108689

If you approve it please reply saying so, otherwise comments are also
welcome.

Best Regards,
Ale
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (FreeBSD)

iD8DBQFFyVLQiV05EpRcP2ERAq9pAJ4+6cFLTNcbrfFIN7VJXMfqsKG5sgCeKNW4
Gb1I+66qcAcZQGByzSr04xo=
=WU6W
-----END PGP SIGNATURE-----
Comment 4 Alejandro Pulver freebsd_committer 2007-02-07 04:18:24 UTC
State Changed
From-To: open->feedback

Ask maintainer for approval.
Comment 5 dfilter service freebsd_committer 2007-02-16 20:59:28 UTC
alepulver    2007-02-16 20:59:22 UTC

  FreeBSD ports repository

  Modified files:
    irc/bitlbee          Makefile 
  Log:
  - Add DEBUG, OPENSSL and IPV6 options.
  
  PR:             ports/108689
  Submitted by:   Spil Oss <spil.oss@gmail.com>
  Approved by:    Peter van Dijk <peter@dataloss.nl> (maintainer, timeout)
  
  Revision  Changes    Path
  1.30      +18 -2     ports/irc/bitlbee/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Alejandro Pulver freebsd_committer 2007-02-16 20:59:54 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!